#include"image.h"
#include<string.h>

void Image::SaveRaw(char *str)
{
FILE *fl=fopen(str,"wb"); 

if(!fl) 
{
char tfn[200];
strcpy(tfn,"Cannont open Raw file for writeing:");
strcat(tfn,str);
 GENNFERR(tfn);
}

SaveRaw(fl);
fclose(fl);
strcpy(fname,str);
}


void Image::SaveRaw(FILE *fl)
{
int bytes=ylen*Pitch;
unsigned char *dat=Lock();
fwrite(dat,bytes,1,fl);
UnLock();
}
